import axios from 'axios';
import { Configuration } from './configuration';
import { Session } from './session';
import { AirportOverview } from '../types';

export class Airport {
  static async all(): Promise<AirportOverview[]> {
    const token = Session.bearerToken();
    if (!token) return [];

    return axios
      .get<AirportOverview[]>(`${Configuration.resourceServer}/airport/all`, {
        headers: {
          Authorization: `Bearer ${token}`,
        },
      })
      .then((response) => response.data)
      .catch(() => []);
  }
}
