import axios from 'axios';
import { Configuration } from './configuration';
import { Session } from './session';

export class System {
  static async timestamp(): Promise<number> {
    const token = Session.bearerToken();
    if (!token) return 0;

    return axios
      .get<number>(`${Configuration.resourceServer}/system/timestamp`, {
        headers: {
          Authorization: `Bearer ${token}`,
        },
      })
      .then((response) => response.data)
      .catch(() => 0);
  }
}
